# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Subckt Class Reference

## Public Member Functions
void | addComment (std::string)
| adds a comment to the subckt. More...
void | addInstance (Instance *)
| adds an instance to the subckt. More...
void | addInterface (std::string)
| adds an interface to the subckt. More...
void | addParameter (std::string, std::string)
| adds a parameter to the subckt. More...
const std::vector< std::string > & | getComments ()
| returns the comments of the subckt. More...
const std::vector< Instance * > & | getInstances ()
| returns the instances of the subckt.
const std::vector< std::string > & | getInterfaces ()
| returns the interfaces of the subckt.
const std::string | getName ()
| returns the name of the subckt.
const std::map< std::string, std::string > & | getParameters ()
| returns the parameters of the subckt.
| Subckt (std::string name)
| creates a new subckt. More...

## Detailed Description

This class describes a subckt of the global circuit.

## Constructor & Destructor Documentation

## ◆ Subckt()

Subckt | ( | std::string | name | ) |
| inline

creates a new subckt.

Parameters

  name | the name of the subckt

## Member Function Documentation

## ◆ addComment()

void addComment | ( | std::string | comment | ) |
| inline

adds a comment to the subckt.

Parameters

  comment | the comment to add.

Note
  comments of a subckt are the first lines of the subckt to describe the interfaces of the subckt.

## ◆ addInstance()

void addInstance | ( | Instance * | instance | ) |
| inline

adds an instance to the subckt.

Parameters

  instance | the instance to add.

## ◆ addInterface()

void addInterface | ( | std::string | name | ) |
| inline

adds an interface to the subckt.

Parameters

  name | the name of the interface to add.

## ◆ addParameter()

void addParameter | ( | std::string | name,
|  | std::string | value
| ) |  |

adds a parameter to the subckt.

Parameters

  name | the name of the parameter to add.
  value | the value of the parameter to add.

## ◆ getComments()

const std::vector< std::string > & getComments | ( |  | ) |
| inline

returns the comments of the subckt.

Note
  comments of a subckt are the first lines of the subckt to describe the interfaces of the subckt.

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved